## com.baidubce.http.handler
Class BceMetadataResponseHandler

    java.lang.Object
      com.baidubce.http.handler.BceMetadataResponseHandler

All Implemented Interfaces:
  HttpResponseHandler

    public class BceMetadataResponseHandler

extends Object
implements HttpResponseHandler

HTTP response handler for Baidu BCE responses. Provides common utilities that other specialized BCE response handlers need to share such as pulling common response metadata (ex: request IDs) out of headers.

Constructor Summary
`BceMetadataResponseHandler()`

Method Summary
`boolean` `handle(BceHttpResponse httpResponse, AbstractBceResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BceMetadataResponseHandler

    public BceMetadataResponseHandler()

Method Detail

### handle

    public boolean handle(BceHttpResponse httpResponse,
                          AbstractBceResponse response)
                   throws Exception

  Specified by:
    `handle` in interface `HttpResponseHandler`
  Throws:
    `Exception`

Copyright © 2016. All rights reserved.